Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 354551 - dev-python/matplotlib-1.0.1: fix libpng deprecations for libpng15
Summary: dev-python/matplotlib-1.0.1: fix libpng deprecations for libpng15
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: Current packages (show other bugs)
Hardware: All Linux
: High normal (vote)
Assignee: Python Gentoo Team
URL:
Whiteboard:
Keywords:
: 355115 (view as bug list)
Depends on:
Blocks: libpng-1.5
  Show dependency tree
 
Reported: 2011-02-11 23:55 UTC by Rafał Mużyło
Modified: 2011-02-24 05:09 UTC (History)
1 user (show)

See Also:
Package list:
Runtime testing required: ---


Attachments
deprecation fix (matplotlib-1.0.1-libpng15.patch,2.13 KB, patch)
2011-02-11 23:55 UTC, Rafał Mużyło
Details | Diff
a working patch (matplotlib-1.0.1-libpng15.patch,2.34 KB, patch)
2011-02-12 00:39 UTC, Rafał Mużyło
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Rafał Mużyło 2011-02-11 23:55:02 UTC
Following patch cleanups those few deprecations.
Comment 1 Rafał Mużyło 2011-02-11 23:55:53 UTC
Created attachment 262179 [details, diff]
deprecation fix
Comment 2 Rafał Mużyło 2011-02-12 00:39:19 UTC
Created attachment 262181 [details, diff]
a working patch

'Scuse me, should have spent those two minutes testing.
This version actually works.
Comment 3 Rafał Mużyło 2011-02-12 00:48:25 UTC
Minor note - matplotlib checks for libpng via 'pkg-config libpng'.
Comment 4 Lars Wendler (Polynomial-C) gentoo-dev 2011-02-15 22:07:47 UTC
*** Bug 355115 has been marked as a duplicate of this bug. ***
Comment 5 Sébastien Fabbro (RETIRED) gentoo-dev 2011-02-24 05:09:14 UTC
Thanks for the patch. Applied in 1.0.1-r1.